unit uAngles;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Math;

type


  { TForm1 }

  TForm1 = class(TForm)
    buDoIt: TButton;
    buStop: TButton;
    ebX0: TEdit;
    ebY0: TEdit;
    ebX1: TEdit;
    ebY1: TEdit;
    ebX2: TEdit;
    ebY2: TEdit;
    laAnswer: TLabel;
    procedure buDoItClick(Sender: TObject);
    procedure buStopClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.buStopClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.buDoItClick(Sender: TObject);
var Coord    : Array['X'..'Y',0..2] of integer;
    rAnswer  : real;

  Procedure FillCoordArray;
  begin
    Coord['X',0] := StrToInt(ebX0.Text);
    Coord['X',1] := StrToInt(ebX1.Text);
    Coord['X',2] := StrToInt(ebX2.Text);
    Coord['Y',0] := StrToInt(ebY0.Text);
    Coord['Y',1] := StrToInt(ebY1.Text);
    Coord['Y',2] := StrToInt(ebY2.Text);
  end;

  function rAngleFromCoords(x0,y0,x1,y1,x2,y2: integer): real;
  var A1, A2 : real;
  begin
    A1 := arctan((y2-y1)/(x2-x1));
    A2 := arctan((y0-y1)/(x0-x1));
    result := RadToDeg(A1-A2);
  end;

begin
  FillCoordArray;
  rAnswer := rAngleFromCoords(Coord['X',0],Coord['Y',0],
                              Coord['X',1],Coord['Y',1],
                              Coord['X',2],Coord['Y',2]);
  laAnswer.Caption:= ('Angle = ' + FloatToStr(rAnswer));
end;

end.

